﻿@model OwnerSite.ViewModels.WallPostingViewModel
@{
    @*Layout = "";*@
}
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Owner Blog Page</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
    <style>
        #topbar {
            width: 100%;
            /*height: 350px;
            overflow: scroll;*/
        }

        .pager .pagination li a {
            background-color: transparent;
            border-style: none;
            color: black;
            font-size: 18px;
        }

        .pager .pagination li.active a {
            background-color: transparent;
            color: #20a8d8;
        }

        .create-newPost-btn {
            border-radius: 0 !important;
            margin: 0;
            width: 100%;
        }

        .post-card {
            border-radius: 0;
            box-shadow: 0px 0px 5px 0px #ccc;
        }

            .post-card .card-header {
                padding-top: 35px;
                padding-bottom: 0px;
                background-color: transparent
            }

        .page-link {
            padding: 8px;
        }

        .cmts-posts-drpdwn {
            width: 60%;
            border-style: none;
            border-radius: 0;
            background-color: transparent
        }

        .name-topic-div {
            margin-left: 20px;
        }

        .comment-header {
            padding-left: 10px;
        }
        .h4, h4, .h5, h5{
            font-size: 1rem;
        }
        @@media only screen and (max-width: 600px) {
            .custom-row {
                margin-bottom: 10px !important;
            }
        }

        @@media only screen and (max-width: 500px) {
            .page-link {
                padding: 4px;
            }

            .post-time-img img {
                display: none;
            }

            .post-approve-time-container {
                padding: 5px !important;
            }

            .post-approve-time-btn {
                padding: 0 !important;
                font-size: 12px;
            }

            #searchfield {
                width: 50%;
            }

            .cmts-posts-drpdwn {
                padding: 5px;
                font-size: 14px;
                width: 50%;
            }

            .post-card .card-header {
                padding: 20px 2px 0 8px;
            }

            .name-topic-div {
                margin-left: 10px;
            }

            .comment-div {
                font-size: 15px;
                /*padding-left: 25px;*/
            }

            .comment-header {
                display: flex;
                flex-direction: row;
            }

                .comment-header.row {
                    border-left: 5px solid #00efd1;
                }

                .comment-header .name {
                    border-style: none !important;
                    padding-left: 5px;
                }

                .comment-header .date-time {
                    display: flex;
                    justify-content: flex-end;
                    padding: 0;
                    border-style: none !important;
                }

                    .comment-header .date-time p {
                        margin: 3px;
                    }

            .comment-div {
                padding-left: 15px;
                border-left: 5px solid #00efd1;
            }
        }
    </style>
    @* <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" /> *@


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>

    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
</head>
<body>
    <div class="container-fluid" style="width:100%;margin-bottom:45px">
        <div class="row" style="box-shadow: 0px 0px 5px 0px #ccc;">
            <div class="order-2 order-sm-1 col-md-6">
                @*  *@
                @{
                    int noOfOwnr = Model.NoOfPages;
                }
                @*<h3>@noOfOwnr</h3>*@
                @if (noOfOwnr != 0)
                {

                    <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

                        <nav aria-label="Page navigation example">
                            <ul class="pagination justify-content-center flex-wrap">
                                @{
                                    int prev_idx = Model.index - 1;
                                }
                                <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)"><<</a></li>
                                <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfPages)"><</a></li>
                                @{
                                    int idx1 = Model.index;
                                    int next_idx = Model.index + 1;
                                    int noOfOwner = Model.NoOfPages;
                                    if (idx1 <= 5)
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else if (idx1 > 5 && idx1 <= (noOfOwner - 5))
                                    {
                                        for (int i = idx1 - 4; i <= idx1 + 5; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = noOfOwner - 9; i <= noOfOwner; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }

                                    }
                                }
                                @*<li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @Model.NoOfPages)">></a></li>
                                <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfPages)">>></a></li>*@
                            </ul>
                        </nav>

                    </div>

                }
                @*  *@
            </div>
            <div class="order-1 order-sm-2 col-sm-12 col-md-6">
                <div class="row">
                    <div class="col-3 col-sm-4 d-flex flex-row post-approve-time-container" style="border: 1px solid black;">
                        <button class="post-approve-time-btn btn dropdown-toggle" type="button" data-toggle="dropdown">
                            @{
                                var Status = (Model.SortByStatus == false) ? "Post Time" : "Approval Time";
                            }
                            @Status
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu">
                            @if (Model.SortByStatus == false)
                            {
                                <li><a class="dropdown-item" href="@Url.Action("WallPageByApprovalTimeSort", "Chatting")">Approval Time</a></li>
                            }
                            else
                            {
                                <li><a class="dropdown-item" href="@Url.Action("Wallpage", "Chatting")">Post Time</a></li>
                            }

                        </ul>
                        <div class="post-time-img d-flex justify-content-end">
                            <img src="~/Content/img/WallPage/sort-down.png" style="margin:12px auto auto 15px" height="25" alt="sort" />
                        </div>


                    </div>
                    <div class="col-9 col-sm-8" style="border:1px solid black;padding:0">
                        <form class="d-flex flex-row m-1">
                            <input id="searchfield" class="form-control" style="1px solid black; border-radius: 0" type="search" placeholder="Search" aria-label="Search" onkeyup="search()">
                            <select class="form-control cmts-posts-drpdwn" id="select-val" onchange="search()">
                                @* <option value="none">--------</option> *@
                                <option value="comment">Comments</option>
                                <option value="post">Posts</option>
                            </select>
                            <div class="input-group-append">
                                <span class="input-group-text" style="background-color:transparent;border-style:none" id="basic-addon1">
                                    <i class="fa fa-search"></i>
                                </span>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="row">
                    <div class="col-1 d-flex justify-content-center" style="border:1px solid black; padding:0">
                        <a href="@Url.Action("TermsAndConditions", "Chatting")" target="_blank">
                            <img type="button" src="~/Content/img/WallPage/terms-and-conditions.png" width="35" height="35" alt="T&C">
                        </a>
                    </div>
                    <div class="col-11" style="padding:0">
                        <button type="button"
                                style="background-color:#00acea;width:100%"
                                class="create-newPost-btn btn btn-info btn-block" onclick="" data-toggle="modal" data-target="#post-modal">
                            Create New Post
                        </button>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <div class="text-center" id="message">

    </div>

    <div class="" id="new" style="display: none; padding-bottom: 100px">

    </div>
    <div class="" id="new1" style="display: none; padding-bottom: 100px">

    </div>


    <div id="topbar" style="display: block">
        @{
            var idx = 0;
            foreach (var post in Model.Posts)
            {
                int totalComments = 0;
                foreach (var comment in Model.Comments)
                {
                    if (comment.Comment.PostId == post.PostId)
                    {
                        totalComments++;
                    }
                }
                if (post.Approval == true)
                {
                    <div class="card post-card m-4" style="margin-bottom:0 !important;">
                        <div class="card-header d-flex justify-content-between">
                            <div class="d-flex flex-row">
                                <img src="~/Content/img/WallPage/post.png" height="40" alt="wallPost" />
                                <div class="name-topic-div">
                                    <h4 style="margin-bottom:0"><strong>@Model.PostedByName[idx]</strong></h4>
                                    <p style="margin-top:0">@post.PostHeader</p>
                                </div>
                            </div>
                            <div>
                                @{
                                    bool flg = Model.Likes.Contains(post.PostId);
                                    bool myPosts = Model.MyPostIds.Contains(post.PostId);
                                }
                                <div style="padding-bottom:0px">
                                    <span style="font-size:13px">@post.Time</span>
                                    @if (myPosts == true)
                                    {
                                        <button type="button" style="padding-top: 0"
                                                class="btn btn-sm mr-1" data-placement="bottom"
                                                title="Edit" data-toggle="modal" data-target="#edit-modal"
                                                onclick="onClickEdit('@post.PostId', '@post.PostText.Replace("'", "\\'").Replace("\n", " ")','@post.PostHeader.Replace("'", "\\'").Replace("\n", " ")')">
                                            <img src="~/Content/img/WallPage/edit.png" height="18" alt="edit" />
                                        </button>
                                    }

                                </div>
                                @*<div>
                                    <span style="font-size:13px">@post.Time</span>
                                    @if (myPosts == true)
                                    {
                                        <button type="button" style="margin-left:5px;padding-top:0"
                                                class="btn btn-sm mr-1" data-placement="bottom"
                                                title="Delete" data-toggle="modal" data-target="#delete-modal" onclick="onclickDelete('@post.PostId')">
                                            <img src="~/Content/img/WallPage/delete.png" height="18" alt="delete" />
                                        </button>
                                    }
                                </div>*@

                            </div>

                        </div>
                        <div class="card-body" style="padding-top: 10px;">
                            <span class="linkify_posts" id="@post.PostId">@post.PostText</span>
                        </div>

                        <div class="form-group row ml-2">
                            @if (flg == true)
                            {
                                <button type="button" class="btn mr-1"
                                        style="background-color: #00acea;border-radius: 20px;padding: 5px 25px;"
                                        data-toggle="tooltip" data-placement="bottom"
                                        title="Liked" id="@post.PostId" onclick="UnLike('@post.PostId')">
                                    @* <i class="icon-star"></i> *@
                                    <img src="~/Content/img/WallPage/like.png"
                                         style="margin-bottom: 7px" height="20" alt="unliked" />
                                    <span style="margin-left:5px;color:black">@post.NoOfLikes</span>
                                </button>
                            }
                            else
                            {
                                <button type="button" class="btn mr-1"
                                        style="background-color: #00acea;border-radius: 20px;padding: 5px 25px;"
                                        data-toggle="tooltip" data-placement="bottom"
                                        title="Like" id="@post.PostId" onclick="Like('@post.PostId')">
                                    @* <i class="icon-star"></i> *@
                                    @*<i class="fa fa-thumbs-up"></i>*@
                                    <img src="~/Content/img/WallPage/like(1).png"
                                         style="margin-bottom: 7px" height="20" alt="unliked" />
                                    <span style="margin-left:5px;color:black">@post.NoOfLikes</span>
                                </button>
                            }
                            <button type="button" class="btn mr-1"
                                    style="background-color: #00efd1;border-radius:20px;padding:5px 25px;"
                                    data-placement="bottom" title="Comment" data-toggle="modal"
                                    data-target="#comment-modal" onclick="onclickComment('@post.PostHeader')">
                                <img src="~/Content/img/WallPage/comments.png" height="20" alt="comment" />
                                <span style="margin-left:5px">@totalComments</span>
                            </button>

                            <div class="mt-2 ml-auto mr-4">
                                <span type="button" class="btn btn-sm mr-2"><strong>See All...</strong></span>
                            </div>
                        </div>
                        @* </div> *@
                        <div class="modal fade" id="edit-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="editModalLabel"></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <input type="text" value="" id="edit-post-id" style="display: none" />
                                    <div class="modal-body">
                                        <div class="form-group row">
                                            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Title</label>
                                            <div class="col">
                                                <textarea class="form-control" type="text" id="edit-post-title"></textarea>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Post</label>
                                            <div class="col">
                                                <textarea class="form-control" type="text" id="edit-post-text"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                        <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="Edit()">Edit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal fade" id="comment-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel"></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <input type="text" value="" id="post-id" style="display: none" />
                                    <div class="modal-body">
                                        <div class="form-group row">
                                            <label class="col-lg-4 col-md-4 col-sm-4 col-form-label" for="text-input">Comment</label>
                                            <div class="col">
                                                <textarea class="form-control" type="text" id="comment-text"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                        <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="Comment()">Comment</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal fade" id="delete-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="deleteModalLabel"></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <input type="text" value="" id="delete-post-id" style="display: none" />
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                        <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="Delete()">Delete</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    foreach (var comment in Model.Comments)
                    {
                        if (comment.Comment.PostId == post.PostId && comment.Comment.Approval == true)
                        {
                            var CommentFlg = Model.MyCommentIds.Contains(comment.Comment.CommentId);
                            <div class="card post-card" style="margin:0 24px;">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-2">
                                            <div class="comment-header row" style="padding-left:10px">
                                                <div class="col-6 col-sm-12 name" style="border-left:5px solid #00efd1;">
                                                    <h5><strong>@comment.CommentorName</strong></h5>
                                                </div>
                                                <div class="col-6 col-sm-12 date-time" style="border-left:5px solid #00efd1;">
                                                    @*<p style="font-size:12px;margin-bottom:0">12/27/2020</p>*@
                                                    <p style="font-size:12px">@comment.Comment.CommentTime</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="comment-div col-10 col-sm-8">
                                            <span class="linkify_comments" id="@comment.Comment.CommentId">
                                                @comment.Comment.CommentText
                                            </span>
                                        </div>
                                        <div class="col-2 col-sm-2">
                                            @{
                                                if (CommentFlg == true)
                                                {

                                                    <div class="d-flex flex-column justify-content-end">
                                                        <div class="d-flex justify-content-end">
                                                            <button type="button" class="btn m-1 btn-sm"
                                                                    data-placement="bottom" title="Edit" data-toggle="modal" data-target="#comment-edit-modal"
                                                                    onclick="onclickCommentEdit('@comment.Comment.CommentId', '@comment.Comment.CommentText.Replace("'", "\\'").Replace("\n", " ")')">
                                                                <img src="~/Content/img/WallPage/edit.png" height="18" alt="edit" />
                                                            </button>
                                                        </div>
                                                        <div class="d-flex justify-content-end">
                                                            <button type="button" class="btn m-1 btn-sm"
                                                                    data-placement="bottom" title="Delete" data-toggle="modal" data-target="#comment-delete-modal"
                                                                    onclick="onclickCommentDelete('@comment.Comment.CommentId')">
                                                                <img src="~/Content/img/WallPage/delete.png" height="18" alt="delete" />
                                                            </button>
                                                        </div>
                                                    </div>
                                                }
                                            }
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal fade" id="comment-edit-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="commentEditModalLabel"></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <input type="text" value="" id="edit-comment-id" style="display: none" />
                                        <div class="modal-body">
                                            <div class="form-group row">
                                                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Comment</label>
                                                <div class="col">
                                                    <textarea class="form-control" type="text" id="edit-comment-text"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                            <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="EditComment()">Edit</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal fade" id="comment-delete-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="commentDeleteModalLabel"></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <input type="text" value="" id="delete-comment-id" style="display: none" />
                                        @* <div class="modal-body"> *@
                                        @*     <div class="form-group row"> *@
                                        @*         <span *@
                                        @*     </div> *@
                                        @* </div> *@
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                            <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="CommentDelete()">Delete</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                        else if (comment.Comment.PostId == post.PostId && comment.Comment.Approval == false)
                        {
                            <div class="card ml-5">
                                <div class="card-header">
                                    <strong>@comment.CommentorName</strong> has commented at @comment.Comment.CommentTime.
                                </div>
                                <div class="card-body">
                                    <h5>The comment is waiting for approval from administration.</h5>
                                </div>
                            </div>
                        }
                    }
                }
                else
                {
                    <div class="card">
                        <div class="card-header">
                            <strong>@Model.PostedByName[idx]</strong> has posted at @post.Time.
                        </div>
                        <div class="card-body">
                            <h5>The Post is waiting for approval from administration.</h5>
                        </div>
                    </div>
                }

                idx++;
                <div class="mb-3"></div>

            }
        }
    </div>
    <div class="modal fade" id="post-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Post</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group row">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Title</label>
                        @* <input class="form-control" type="text" /> *@
                        <div class="col">
                            <input class="form-control" id="post-title" type="text" />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Post</label>
                        <div class="col">
                            <textarea class="form-control" id="post-text" type="text"></textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-success" data-dismiss="modal" id="approve-all-confirmed" onclick="Post()">Post</button>
                </div>
            </div>
        </div>
    </div>

    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script>
        //alert(Ids.length);
        var urlRegex = /(([a-z]+:\/\/)?(([a-z0-9\-]+\.)+([a-z]{2}|aero|arpa|biz|com|coop|edu|gov|info|int|jobs|mil|museum|name|nato|net|org|pro|travel|local|internal))(:[0-9]{1,5})?(\/[a-z0-9_\-\.~]+)*(\/([a-z0-9_\-\.]*)(\?[a-z0-9+_\-\.%=&amp;]*)?)?(#[a-zA-Z0-9!$&'()*+.=-_~:@@/?]*)?)(\s+|$)/gi;
        ////    //var urlRegex = www.google.com;
        //        //alert('hey');

        function linkifyJs(text) {
            return text.replace(urlRegex, function (url) {
                return '<a href="' + url + '" target="_blank">' + url + '</a>';
            });
        }
    </script>
    <script>
        var ids = $('.linkify_posts').map(function () {
            return this.id
        }).get();
        //alert(ids);
        for (var i = 0; i < ids.length; i++) {
            var text = $('#' + ids[i]).text();
            var res = linkifyJs(text);
            //alert(text);
            $('#' + ids[i]).html(res);
        }
    </script>
    <script>
        var ids = $('.linkify_comments').map(function () {
            return this.id
        }).get();
        //alert(ids);
        for (var i = 0; i < ids.length; i++) {
            var text = $('#' + ids[i]).text();
            var res = linkifyJs(text);
            //alert(text);
            $('#' + ids[i]).html(res);
        }
    </script>
    <script>
        if (@Model.Posts.Count == 0) {
            document.getElementById('topbar').style.display = 'none';
        }
    </script>
    <script>
        $("#" + @Model.index).addClass("active");
    </script>


    <script>
        function previous(i, n) {
            if (i >= 1) {
                window.location.href = "WallPagePagination?index=" + i;
            }
        }
    </script>
    <script>
        function next(i, n) {
            alert("in next " + i);
            if (i <= n) {
                window.location.href = "WallPagePagination?index=" + i;
            }
        }
    </script>

    <script>
        function paginationPureJS(i) {

            window.location.href = "WallPagePagination?index=" + i;
        }
    </script>
    <script>

        $(function () {
            $('[data-toggle="tooltip"]').tooltip();
            $('[data-toggle="modal"]').tooltip();
        })
    </script>
    <script>
        //    Comment on Model.Posts[idx].PostId
        function onClickEdit(x, y, z) {
            //        alert('dfdfd');
            $("#editModalLabel").text('Edit the ' + x);
            $("#edit-post-id").val(x);
            $("#edit-post-text").val(y);
            $("#edit-post-title").val(z);
        }
    </script>
    <script>
        function EditComment() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var commentId = $("#edit-comment-id").val();
            var CommentText = $("#edit-comment-text").val().replace('/\r\n/g', '\n');
            //alert(CommentText);
            var myModel = {
                CommentId: $("#edit-comment-id").val(),
                CommentText: CommentText,
            };
            //var CmntText = $('#edit-comment-text').val();
            if (CommentText.length === 0) {
                //                alert('Nope');
                toastr.error('Please, do not make the comment field empty.',
                    'Error!!!!',
                    {
                        closeButton: true,
                        progressBar: true,
                    });
            } else {
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../Chatting/editingAComment/',
                    data: myModel,
                    success: function (result) {
                        if (statusOfSort.length == 5) {
                            window.location = '../Chatting/WallPagePagination?index=' + i + '&postId=' + result;
                        } else {
                            window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + result;
                        }
                    },
                    error: function () { }
                });
            }

        }
    </script>
    <script>
        //    Comment on Model.Posts[idx].PostId
        function onclickCommentEdit(x, y) {
            //var CommentText = y.replace('/\r\n/g', '\n');
            //            alert('ggg');
            $("#commentEditModalLabel").text('Edit the Comment: ' + x);
            $("#edit-comment-id").val(x);
            $("#edit-comment-text").val(y);
        }
    </script>
    <script>
        function Edit() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var postId = $("#edit-post-id").val();
            var PostText = $("#edit-post-text").val().replace('/\r\n/g', '\n');
            var PostHeader = $('#edit-post-title').val().replace('/\r\n/g', '\n');
            var myModel = {
                PostId: $("#edit-post-id").val(),
                PostTitle: PostHeader,
                PostText: PostText,
            };
            if (PostHeader.length === 0 || PostText.length === 0) {
                //                alert('Nope');
                toastr.error('Please, do not make any field empty.',
                    'Error!!!!',
                    {
                        closeButton: true,
                        progressBar: true,
                    });
            } else {
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../Chatting/editingAPost/',
                    data: myModel,
                    success: function (result) {
                        if (statusOfSort.length == 5) {
                            window.location = '../Chatting/WallPagePagination?index=' + i + '&postId=' + postId;
                        } else {
                            window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + postId;
                        }
                    },
                    error: function () { }
                });
            }

        }
    </script>
    <script>
        function Delete() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var myModel = {
                PostId: $("#delete-post-id").val(),
            };
            $.ajax({
                context: this,
                type: 'post',
                url: '../Chatting/deletingAPost/',
                data: myModel,
                success: function (result) {
                    if (statusOfSort.length == 5) {
                        window.location = '../Chatting/WallPagePagination?index=' + i;
                    } else {
                        window.location = '../Chatting/WallPageByApprovalTimeSortByPagination?index=' + i;
                    }
                },
                error: function () { }
            });
        }
    </script>
    <script>
        function CommentDelete() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var commentId = $("#delete-comment-id").val();
            var myModel = {
                CommentId: $("#delete-comment-id").val(),
            };
            $.ajax({
                context: this,
                type: 'post',
                url: '../Chatting/deletingAComment/',
                data: myModel,
                success: function (result) {
                    if (statusOfSort.length == 5) {
                        window.location = '../Chatting/WallPagePagination?index=' + i + '&postId=' + result;
                    } else {
                        window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + result;
                    }
                },
                error: function () { }
            });
        }
    </script>
    <script>
        //    Comment on Model.Posts[idx].PostId
        function onclickComment(x) {
            $("#exampleModalLabel").text('Comment on ' + x);
            $("#post-id").val(x);
        }
    </script>

    <script>
        //    Comment on Model.Posts[idx].PostId
        function onclickDelete(x) {
            $("#deleteModalLabel").text('Are you sure you want to delete ' + x + ' ?');
            $("#delete-post-id").val(x);
        }
    </script>
    <script>
        //onclickCommentDelete
        function onclickCommentDelete(x) {
            $("#commentDeleteModalLabel").text('Are you sure you want to delete the comment?');
            $("#delete-comment-id").val(x);
        }
    </script>
    <script>
        function Like(x) {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var postId = x;
            var myModel = {
                PostId: x,
            };
            $.ajax({
                context: this,
                type: 'post',
                url: '../Chatting/gettingALike/',
                data: myModel,
                success: function (result) {
                    if (statusOfSort.length == 5) {
                        window.location = '../Chatting/WallPagePagination?index=' + i + '&postId=' + postId;
                    } else {
                        window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + postId;
                    }
                },
                error: function () { }
            });
        }
    </script>
    <script>
        function UnLike(x) {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var postId = x;
            var myModel = {
                PostId: x,
            };
            $.ajax({
                context: this,
                type: 'post',
                url: '../Chatting/gettingAnUnlike/',
                data: myModel,
                success: function (result) {
                    if (statusOfSort.length == 5) {
                        window.location = '../Chatting/WallPagePagination?index=' + i + '&postId=' + postId;
                    } else {
                        window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + postId;
                    }
                },
                error: function () { }
            });
        }
    </script>
    <script>
        function Comment() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.index";
            var postId = $("#post-id").val();
            var CommentText = $("#comment-text").val().replace('/\r\n/g', '\n');
            var myModel = {
                PostId: $("#post-id").val(),
                CommentText: CommentText,
            };
            //var CmntText = $('#comment-text').val();
            if (CommentText.length === 0) {
                //                alert('Nope');
                toastr.error('Please, fill the comment field.',
                    'Error!!!!',
                    {
                        closeButton: true,
                        progressBar: true,
                    });
            } else {
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../Chatting/gettingAComment/',
                    data: myModel,
                    success: function (result) {
                        if (statusOfSort.length == 5) {
                            window.location = '../Chatting/WallPagePagination?index='+i+'&postId='+postId;
                        } else {
                            window.location = '../Chatting/WallPageByApprovalTimeSortByPaginationWithChange?index=' + i + '&postId=' + postId;
                        }
                    },
                    error: function () { }
                });
            }
        }
    </script>
    <script>
        function Post() {
            var statusOfSort = "@Model.SortByStatus";
            var i = "@Model.NoOfWeeks";
            var PostHeader = $('#post-title').val().replace('/\r\n/g', '\n');
            var PostText = $("#post-text").val().replace('/\r\n/g', '\n');
            var myModel = {
                Title: PostHeader,
                Text: PostText,
            };
            if (PostHeader.length === 0 || PostText.length === 0) {
//                alert('Nope');
                toastr.error('Please, fill all the empty fields.',
                    'Error!!!!',
                    {
                        closeButton: true,
                        progressBar: true,
                    });
            } else {
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../Chatting/gettingAPost/',
                    data: myModel,
                    success: function (result) {
                        //alert(myModel.PartialUserDetailsViewModels);
                        if (statusOfSort.length == 5) {
                            window.location = '../Chatting/WallPage';
                        } else {
                            window.location = '../Chatting/WallPageByApprovalTimeSortByPagination?index='+i;
                        }
                    },
                    error: function () {
                        //error();
                    }
                });
            }

        }
    </script>
    <script>
        function addMultipleRow(x, result) {
            //        var taskRoles = "Model.TaskRoles";
            var str = "";
            if (x >= 1) {
                $('#message').html("");
                for (var i = 0; i < x; i++) {
                    str += "<div class='row custom-row' style='margin:0;'>";
                    str +=
                        "<div class='col-sm-12 col-md-7 col-lg-8' style='border: 1px solid #bdbaba; background: white;display: flex; justify-content: flex-start;align-items: center; padding-top:15px; padding-bottom:15px;'>";
                    str += "<div><strong>" + result[i].OwnerName + "</strong> has posted at " + result[i].Time + " on <strong>" + result[i].PostHeader +
                        "</strong> topic.</div>";
                    str += "</div>";
                    str +=
                        "<div class='col-sm-12 col-md-5 col-lg-4' style='border: 1px solid #bdbaba; background: white;display: flex; justify-content: flex-start;align-items: center; padding-top:15px; padding-bottom:15px;'>";
                    str += "<strong class='ml-2 mr-5'>Click the button to View details:</strong>";

                    str += "<button type='button'";
                    str += "class='btn btn-cyan'";
                    str += "data-toggle='tooltip'";
                    str += "data-placement='bottom'";
                    str += "title='View'"
                    str += 'onclick="postView(\'' + result[i].PostId + '\')">';
                    str += "<i class='icon-eye'></i>";
                    str += "</button>";
                    str += "</br>";
                    str += "</br>";
                    str += "</div>";
                    str += "</div>";
                }
                $('#new').html(str);
            } else {
                //str += "<h3 style='background:red'>No Result Found</h3>";
                $('#message').html("<br><h3 style='color:brown'>No Post Found</h3>");
                document.getElementById('new').style.display = 'none';
            }
        }
    </script>
    <script>
        function postView(post_Id) {
            //            alert(post_Id);
            window.open('PostView?postId=' + post_Id, '_blank');
        }
    </script>
    <script>
        function addMultipleRow1(x, result) {
            //        var taskRoles = "Model.TaskRoles";
            //            alert("fgf");
            var str = "";
            if (x >= 1) {
                $('#message').html("");
                for (var i = 0; i < x; i++) {
                    str += "<div class='row' style='margin:0;'>";
                    str +=
                        "<div class='col-sm-12 col-md-7 col-lg-8' style='border: 1px solid #bdbaba; background: white;display: flex; justify-content: flex-start;align-items: center; padding-top:15px; padding-bottom:15px;'>";
                    str += "<div><strong>" + result[i].CommentorName + "</strong> has commented at " + result[i].CommentTime + " on <strong>" + result[i].PostHeader +
                        "</strong> topic.</div>";
                    str += "</div>";
                    str +=
                        "<div class='col-sm-12 col-md-5 col-lg-4' style='border: 1px solid #bdbaba; background: white;display: flex; justify-content: flex-start;align-items: center; padding-top:15px; padding-bottom:15px;'>";
                    str += "<strong class='ml-2 mr-5'>Click the button to View details:</strong>";

                    str += "<button type='button'";
                    str += "class='btn btn-cyan'";
                    str += "data-toggle='tooltip'";
                    str += "data-placement='bottom'";
                    str += "title='View'"
                    str += 'onclick="commentView(\'' + result[i].CommentId + '\')">';
                    str += "<i class='icon-eye'></i>";
                    str += "</button>";
                    str += "</br>";
                    str += "</br>";
                    str += "</div>";
                    str += "</div>";
                }
                $('#new1').html(str);
            } else {
                //str += "<h3 style='background:red'>No Result Found</h3>";
                $('#message').html("<br><h3 style='color:brown'>No Comment Found</h3>");
                document.getElementById('new1').style.display = 'none';
            }
        }
    </script>
    <script>
        function commentView(comment_Id) {
            //            alert(comment_Id);
            window.open('CommentView?commentId=' + comment_Id, '_blank');
        }
    </script>
    <script>
        function search() {
            var searchParameter = $("#select-val").val();
            document.getElementById('new').style.display = 'none';
            document.getElementById('new1').style.display = 'none';
            document.getElementById('pagination').style.display = 'none';
            //alert(searchParameter);
            if (searchParameter == 'post') {
                $('#message').html("");
                document.getElementById('new1').style.display = 'none';
                var s = $("#searchfield").val();
                //alert(s);
                var myModel = {
                    searchfield: s,
                };
                if (s.length != 0) {
                    $.ajax({
                        context: this,
                        type: 'post',
                        url: '../Chatting/gettingSearchResultForPost/',
                        data: myModel,
                        success: function (result) {
                            var len = result.length;
                            document.getElementById('topbar').style.display = 'none';
                            document.getElementById('new').style.display = 'block';
                            addMultipleRow(len, result);
                        },
                        error: function () {
                            //error();
                        }
                    });
                } else {
                    document.getElementById('pagination').style.display = 'block';
                    if (@Model.Posts.Count != 0) {
                        document.getElementById('topbar').style.display = 'block';
                    }
                    document.getElementById('new').style.display = 'none';
                    $('#message').html("");
                }
            } else if (searchParameter == 'comment') {
                $('#message').html("");
                document.getElementById('new').style.display = 'none';
                //                alert('in comment');
                var s = $("#searchfield").val();
                var myModel = {
                    searchfield: s,
                };
                if (s.length != 0) {
                    $.ajax({
                        context: this,
                        type: 'post',
                        url: '../Chatting/gettingSearchResultForComment/',
                        data: myModel,
                        success: function (result) {
                            var len = result.length;
                            document.getElementById('topbar').style.display = 'none';
                            document.getElementById('new1').style.display = 'block';
                            addMultipleRow1(len, result);
                        },
                        error: function () {
                            //error();
                        }
                    });
                } else {
//                    document.getElementById('topbar').style.display = 'block';
                    document.getElementById('pagination').style.display = 'block';
                    if (@Model.Posts.Count != 0) {
                        document.getElementById('topbar').style.display = 'block';
                    }
                    document.getElementById('new1').style.display = 'none';
                    $('#message').html("");
                }
            } else {
                var s = $("#searchfield").val();
                if (s.length != 0) {
                    document.getElementById('pagination').style.display = 'block';
                    toastr.error('Please, select a valid type of searching from the dropdown.',
                        'Error!!!!',
                        {
                            closeButton: true,
                            progressBar: true,
                        });
                } else {
//                    document.getElementById('topbar').style.display = 'block';
                    if (@Model.Posts.Count != 0) {
                        document.getElementById('topbar').style.display = 'block';
                    }
                    document.getElementById('pagination').style.display = 'block';
                    document.getElementById('new1').style.display = 'none';
                    document.getElementById('new').style.display = 'none';
                    $('#message').html("");
                }
            }
        }
    </script>
</body>
</html>
